Summary: Telnet client and daemon
Name: telnet
Version: 0.10
Release: 1
Copyright: BSD
Group: Networking
Source: ftp://ftp.hcs.harvard.edu/pub/members/dholland/netkit/netkit-telnet-0.10.tar.gz
Obsoletes: netkit-telnet
BuildRoot: /tmp/telnet-root

%description
Basic network tools, fixed and ported from BSD code.
This version supersedes NetKit-0.09.
Contains: telnet telnetd

%prep
%setup -n netkit-telnet-0.10 
./configure

%build
make

%install
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man5
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8

make install INSTALLROOT=$RPM_BUILD_ROOT

strip ${RPM_BUILD_ROOT}/usr/*bin/* || :
rm ${RPM_BUILD_ROOT}/usr/man/man8/telnetd.8
echo ".so man8/in.telnetd.8" > ${RPM_BUILD_ROOT}/usr/man/man8/telnetd.8
gzip -9nf ${RPM_BUILD_ROOT}/usr/man/man?/*

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
/usr/bin/telnet
/usr/sbin/in.telnetd

/usr/man/man1/telnet.1.gz
/usr/man/man5/issue.net.5.gz
/usr/man/man8/in.telnetd.8.gz
/usr/man/man8/telnetd.8.gz
